> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sales

> Returns the summary of the sales



## OpenAPI

````yaml get /consumers/{consumer_id}/pos/sales
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/pos/sales:
    get:
      tags:
        - Point of Sale
        - Orders
      summary: Get sales
      description: Returns the summary of the sales
      operationId: pos_get_sales
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: date_from
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date From
          description: Start date (inclusive) of the period to get sales from
        - name: date_to
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date To
          description: End date (inclusive) of the period to get sales from
        - name: location_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Location Id
          description: >-
            Unique identifier of the location. If none passed, sales from all
            locations will be returned unless the location was selected by the
            end-user
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SalesItem'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '405':
          content:
            application/json:
              example:
                message: >-
                  The resource {Method} - {Resource} is not supported by
                  {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          content:
            application/json:
              example:
                message: Error while trying to authenticate to {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Gateway
      security:
        - mcp_auth:
            - pos
            - pos.read
            - pos.orders
            - pos.orders.read
components:
  schemas:
    SalesItem:
      properties:
        total:
          type: number
          title: Total
          description: Total amount including tax of the sales
          examples:
            - 10
        tax_amount:
          type: number
          title: Tax Amount
          description: Total amount of the taxes
          examples:
            - 1
        taxes:
          anyOf:
            - items:
                $ref: '#/components/schemas/TotalTaxItem'
              type: array
            - type: 'null'
          title: Taxes
          description: List of taxes grouped by tax rateapplied to the sales
          default: []
      type: object
      required:
        - total
        - tax_amount
      title: SalesItem
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    TotalTaxItem:
      properties:
        tax_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Tax Id
          description: Unique identifier of the tax
          examples:
            - 371ca583-d218-4900-b236-397532cf0e39
        tax_rate:
          type: number
          title: Tax Rate
          description: Tax rate
          examples:
            - '10'
        tax_amount:
          type: number
          title: Tax Amount
          description: Tax amount
          examples:
            - '1'
        total:
          type: number
          title: Total
          description: Total amount including tax
          examples:
            - '11'
      type: object
      required:
        - tax_rate
        - tax_amount
        - total
      title: TotalTaxItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````